- Development Integration
- /
- SDK
- /
- Python
- /
Management Module
- /
Custom Field Management
- /
- Get User Built-in Field List
¶ Get the user's built-in field list
Update time: 2025-07-23 07:34:21
This document is automatically generated based on https://github.com/authing/authing-docs-factory based on https://api-explorer.genauth.ai V3 API, and is consistent with API parameters and return results. If the description of this document is incorrect, please refer to the V3 API.
Get the user's built-in field list
¶ Method name
ManagementClient.get_user_base_fields
¶ Request parameters
| Name | Type | Required | Default value | Description | Sample value |
|---|
¶ Request Response
Type: CustomFieldListRespDto
| Name | Type | Description |
|---|---|---|
| statusCode | number | Business status code, which can be used to determine whether the operation is successful. 200 means success. |
| message | string | description |
| apiCode | number | Segmented error code, which can be used to get the specific error type (not returned for successful requests). For a detailed list of error codes, see: API Code List (opens new window) |
| requestId | string | Request ID. Returned when the request fails. |
| data | array | Response data |
Example results:
{
"statusCode": 200,
"message": "Success",
"requestId": "934108e5-9fbf-4d24-8da1-c330328abd6c",
"data": {
"targetType": "USER",
"createdAt": "2022-03-17T05:23:01.567Z",
"dataType": "ENUM",
"key": "school",
"label": "School",
"description": "School",
"visibleInAdminConsole": true,
"visibleInUserCenter": true,
"i18n": {
"label": {
"zh-CN": {
"enabled": false,
"value": "中文"
},
"en-US": {
"enabled": false,
"value": "English"
},
"zh-TW": {
"enabled": false,
"value": "繁體中文"
}
}
},
"options": "[{\"value\":\"pku\",\"label\":\"xxxxx\"}]"
}
}
¶ Data Structure
¶ CustomFieldDto
| Name | Type | Is this field required? | Description | Sample value |
|---|---|---|---|---|
| targetType | string | yes | Target object type: - USER: user- ROLE: role- GROUP: group- DEPARTMENT: department | USER |
| createdAt | string | no | Creation time, only valid for custom fields, built-in fields do not have creation time. | 2022-03-17T05:23:01.567Z |
| dataType | string | yes | Data type, cannot be modified after setting. - STRING: string type- NUMBER: number type- DATETIME: date type- BOOLEAN: Boolean type- ENUM: enumeration value type | STRING |
| key | string | yes | field key, cannot conflict with the key of built-in fields, cannot be modified after setting. | school |
| label | string | yes | display name | school |
| description | string | no | detailed description information | school |
| encrypted | boolean | no | whether to store encrypted. After enabling, newly added data of this field will be encrypted, and this parameter cannot be changed once set. | |
| isUnique | boolean | yes | whether it is a unique field. After enabling, the value reported by the current field will be uniquely verified. This parameter is only valid for fields with data types of strings and numbers. | |
| userEditable | boolean | no | Whether the user can edit it. If it is a special field such as mobile phone number or email address, the user cannot modify it directly and needs to verify it first through verification code or other methods. | |
| visibleInAdminConsole | boolean | yes | Whether it needs to be displayed in the GenAuth console: - If it is a user-defined field, control whether it is displayed in the user details; - If it is a department-defined field, control whether it is displayed in the department details; - If it is a role extension field, control whether it is displayed in the role details. | true |
| visibleInUserCenter | boolean | no | Whether to display in the user's personal center (this parameter does not control whether the API interface is returned). | true |
| i18n | no | Multi-language display name Nested type: CustomFieldI18n. | {"label":{"zh-CN":{"enabled":false,"value":"中文"},"en-US":{"enabled":false,"value":"English"},"zh-TW":{"enabled":false,"value":"繁體中文"}}} | |
| options | array | no | Enumeration value type selection Nested type: CustomFieldSelectOption. | [{"value":"pku","label":"xxxxx"}] |
¶ CustomFieldI18n
| Name | Type | Is it required? | Description | Sample value |
|---|---|---|---|---|
| label | Yes | Multi-language support field Nested type: LangObject. | {"zh-CN":{"enabled":false,"value":"中文"},"en-US":{"enabled":false,"value":"English"},"zh-TW":{"enabled":false,"value":"繁體中文"},"ja-JP":{"enabled":false,"value":"日本語"}} |
¶ LangObject
| Name | Type | Required | Description | Sample value |
|---|---|---|---|---|
| zh-CN | Yes | Multilingual Chinese content Nested type: LangUnit. | {"enabled":false,"value":"中文"} | |
| en-US | Yes | Multilingual English content Nested type: LangUnit. | {"enabled":false,"value":"English"} | |
| zh-TW | Yes | Multilingual Traditional Chinese content Nested type: LangUnit. | {"enabled":false,"value":"繁體中文"} | |
| ja-JP | Yes | Multilingual Japanese content Nested type: LangUnit. | {"enabled":false,"value":"日本語"} |
¶ LangUnit
| Name | Type | Is it required? | Description | Sample value |
|---|---|---|---|---|
| enabled | boolean | yes | Whether it is enabled. If enabled, and the console selects this language, the content will be displayed. (Closed by default) | |
| value | string | Yes | Multilingual content |
¶ CustomFieldSelectOption
| Name | Type | Is it required? | Description | Sample value |
|---|---|---|---|---|
| value | string | Yes | Enumeration value value | hust |
| label | string | Yes | Enumeration value label | Huazhong University of Science and Technology |
